Hello Developers,

We are writing to notify you about upcoming changes in the BILL v3 and v2 API to comply with new NACHA Risk Management rules.

What is changing?

Starting March 20, 2026, NACHA requires that all ACH payments sent to consumer bank accounts for compensation (including wages, salaries, bonuses, and 1099 contractor payments) must include a standardized PAYROLL description.

Current status

Your organization is not liable for any NACHA violations related to this specific rule until the BILL API updates are officially released. When the updates are live, you will have 180 days to implement changes in your integration.

Developer actions

  1. Audit your payments: Determine if your application initiates ACH payments that are classified as PAYROLL.
  2. Watch for follow-up communications: We will send you follow-up communications when the API updates are available for testing in the sandbox environment. We will share detailed documentation about the API updates.

Why does this rule matter?

As outlined in the Compliance with Law, Agreement, Policy section of the BILL Developer Terms, your organization is responsible to comply with applicable regulations. When these API updates are rolled out, failure to properly classify these payments could result in compliance violations, financial penalties from NACHA, or restrictions on your customers' ability to send ACH payments through BILL.

Questions

For questions or concerns, email us at [email protected].


In the payments API response, we have introduced a new trackingInformation field for BILL Pay Faster check payment disbursements. This field is available in the response in the checkDisbursement object when BILL processes the BILL Pay Faster check payment.

This field provides the UPS tracking number for the check. You get a tracking number only for a BILL Pay Faster check payment.

See POST /v3/payments in the API reference for more information.


In the Get list of event notifications (GET /v3/events/subscription/\{subscriptionId}) API request, we have introduced a new set of fields for filter and sort operations for events sent to you for a subscription.

You can now filter events sent to you based on notification created date with the new createdTimeFrom and createdTimeTo fields. In addition, you can now sort events based on notification created date with the new ​​ascending field.

See GET /v3/events/subscription/{subscriptionId} in the API reference for more information.

We have introduced the ability to filter invoices by invoice status. In the Get list of invoices (GET /v3/invoices) API request, you can now filter invoices with the invoice status field. With this operation, you can filter invoices that are OPEN, SCHEDULED, PARTIAL_PAYMENT, or PAID_IN_FULL.

See GET /v3/invoices in the API reference for more information.

We have updated the webhooks events catalog to include a set of new events for Spend & Expense reimbursements. Notifications are now triggered for these reimbursement events. You can now set up subscriptions to receive notifications for the new events.

EventDescription
spend.reimbursement.createdA reimbursement is created
spend.reimbursement.updatedA reimbursement is updated
spend.reimbursement.deletedA reimbursement is deleted

See Spend & Expense reimbursement notification payload for more information.

Generate a test event notification API updates

You can now generate test event notifications for new webhook events with the Generate a test event notification API endpoint.

With the Generate a test event notification (POST /v3/subscriptions/{subscriptionId}/test) API endpoint, you can now generate test event notifications for more BILL entities - invoice, spend.transaction, spend.reimbursement, and spend.threeDsChallenge.

See POST /v3/subscriptions/{subscriptionId}/test in the API reference for more information.

User information in bill and invoice notifications

In the bill and invoice webhooks, we have introduced a new createdBy field in the event notifications. This field provides the BILL-generated ID of the user that created the bill or invoice record.

See AP bill notification payloads and AR invoice notification payloads for more information.

We have added a new Postman Notebook for International AP Payments with the BILL v3 API. See the International AP Payments Postman Notebook for details.

In this Notebook, you build an API workflow that enables you to create AP payments to international vendors with the API.

In all, we now have 5 published Postman Notebooks.

We have added a new developer tutorial video - BILL Accounts Receivable (AR) API Deep Dive - in the BILL API Platform for developers YouTube playlist. In this video, we walk through how to build with the core AR API objects - Customers, Invoices, and AR payments.

See the BILL API Platform for developers playlist for the complete set of developer tutorial videos.

BILL Accounts Receivable (AR) Deep Dive

In this tutorial, we walk through how to build with the core AR API objects - Customers, Invoices, and AR payments.

In the vendors API response, we have introduced a new transferMethod field. This field provides the default payment delivery method for international payments. This field is set when payBySubType is set as MULTIPLE.

  • LOCAL: Funds transferred with the vendor country's domestic payment network
  • WIRE: Funds transferred with bank-operated networks (For example, SWIFT)

In the Get list of vendors (GET /v3/vendors) and Get vendor details (GET ​​/v3/vendors/{vendorId}) API response, you now get the new transferMethod field.

See GET /v3/vendors in the API reference for more information.

In the documents API response, we have introduced two new fields - scanStatus and numOfPages. In all the documents API responses, you can now get detailed information about an uploaded document. This information includes the document scan status and the number of pages in a CLEAN document.

FieldDescription
scanStatusDocument scan status (NOT_SCANNED, CLEAN, INFECTED, IN_QUEUE, REJECTED, or UNDEFINED)
numOfPagesNumber of pages in the document

See GET /v3/documents in the API reference for more information.